import { OnDestroy } from "@angular/core";
import { IScrollOverlayOptions, TYPE_SCROLL_DIRECTION } from "./scroll.interface";
import * as i0 from "@angular/core";
export declare class LibsUiComponentsScrollOverlayDirective implements OnDestroy {
    private readonly styles;
    private isScrollThumb;
    private keepDisplayThumb;
    private subsX;
    private subsY;
    private scrollbarWidth;
    private scrollbarPadding;
    private scrollbarColor;
    private scrollbarHoverColor;
    private scrollThumbColor;
    private scrollThumbHoverColor;
    private readonly divContainer;
    private readonly trackX;
    private readonly thumbX;
    private readonly trackY;
    private readonly thumbY;
    private readonly onDestroy;
    readonly debugMode: import("@angular/core").InputSignal<boolean>;
    readonly ignoreInit: import("@angular/core").InputSignal<boolean>;
    readonly classContainer: import("@angular/core").InputSignalWithTransform<string, string | undefined>;
    readonly options: import("@angular/core").InputSignal<IScrollOverlayOptions | undefined>;
    readonly elementCheckScrollX: import("@angular/core").InputSignal<HTMLElement | undefined>;
    readonly elementCheckScrollY: import("@angular/core").InputSignal<HTMLElement | undefined>;
    readonly elementScroll: import("@angular/core").InputSignal<HTMLElement | undefined>;
    readonly outScroll: import("@angular/core").OutputEmitterRef<Event>;
    readonly outScrollX: import("@angular/core").OutputEmitterRef<Event>;
    readonly outScrollY: import("@angular/core").OutputEmitterRef<Event>;
    readonly outScrollTop: import("@angular/core").OutputEmitterRef<Event>;
    readonly outScrollBottom: import("@angular/core").OutputEmitterRef<Event>;
    private element;
    private render2;
    constructor();
    private get Element();
    private createScrollbar;
    private bindEventsScrollBar;
    protected handlerClickTrack(scrollDirection: TYPE_SCROLL_DIRECTION): void;
    protected handlerDragAndDropThumb(scrollDirection: TYPE_SCROLL_DIRECTION): void;
    private updateScrollPositionByUserAction;
    private updateScrollbarSize;
    private updateScrollbarPosition;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibsUiComponentsScrollOverlayDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LibsUiComponentsScrollOverlayDirective, "[LibsUiComponentsScrollOverlayDirective]", never, { "debugMode": { "alias": "debugMode"; "required": false; "isSignal": true; }; "ignoreInit": { "alias": "ignoreInit"; "required": false; "isSignal": true; }; "classContainer": { "alias": "classContainer"; "required": false; "isSignal": true; }; "options": { "alias": "options"; "required": false; "isSignal": true; }; "elementCheckScrollX": { "alias": "elementCheckScrollX"; "required": false; "isSignal": true; }; "elementCheckScrollY": { "alias": "elementCheckScrollY"; "required": false; "isSignal": true; }; "elementScroll": { "alias": "elementScroll"; "required": false; "isSignal": true; }; }, { "outScroll": "outScroll"; "outScrollX": "outScrollX"; "outScrollY": "outScrollY"; "outScrollTop": "outScrollTop"; "outScrollBottom": "outScrollBottom"; }, never, never, true, never>;
}
