export type TYPE_SCROLL_DIRECTION = 'X' | 'Y';
export type TYPE_SCROLL_OVERFLOW = 'hidden' | 'scroll';
export interface IScrollOverlayOptions {
    scrollbarWidth?: number;
    scrollbarColor?: string;
    scrollbarHoverColor?: string;
    scrollThumbColor?: string;
    scrollThumbHoverColor?: string;
    scrollbarPadding?: number;
    scrollX?: TYPE_SCROLL_OVERFLOW;
    scrollXOpacity0?: boolean;
    scrollY?: TYPE_SCROLL_OVERFLOW;
    scrollYOpacity0?: boolean;
}
